part of mapmyindia_place_widget;

const MethodChannel _channel = const MethodChannel('mapmyindia_place_flutter');

Future<ReverseGeocodePlace> openPlacePicker(PickerOption options) async {
  final Map<String, dynamic> creationParams = <String, dynamic>{
    'options': options.toMap()
  };
  final String version =
      await _channel.invokeMethod('openPlacePicker', creationParams);
  return ReverseGeocodePlace.fromMap(json.decode(version));
}

Future<ELocation> openPlaceAutocomplete(PlaceOptions options) async {
  final Map<String, dynamic> creationParams = <String, dynamic>{
    'options': options.toMap()
  };
  final String version =
      await _channel.invokeMethod('openPlaceAutocomplete', creationParams);
  return ELocation.fromMap(json.decode(version));
}
